Summary: A Tk toolkit extension.
Name: blt
Version: 2.4u
Release: 3
Copyright: MIT
Group: Development/Tools
Obsoletes: blt-devel
Source: ftp://ftp.tcltk.com/aa004735/pub/blt/BLT%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-root

%description
BLT is an extension to the Tk toolkit.  BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry
managers and miscellaneous other commands.  Note that you won't need to
do any patching of the Tcl or Tk source files to use BLT, but you
will need to have Tcl/Tk installed in order to use BLT.

If you are programming with the Tk toolkit, you should install BLT.
You will need to have Tcl/Tk installed.

%prep
%setup -q -n blt%{version}

perl -pi -e 's|/usr/local/bin/tclsh|%{_prefix}/bin/tclsh|' ./demos/scripts/page.tcl

%build

%configure
make 

%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}

%makeinstall exec_prefix=${RPM_BUILD_ROOT}%{_prefix} scriptdir=${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4

strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

perl -pi -e 's|/usr/local/bin/tclsh|%{_prefix}/bin/tclsh|' ${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4/demos/scripts/page.tcl

find ${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4/demos -type f -perm +011 -exec chmod 755 {} \;

rm -f ${RPM_BUILD_ROOT}%{_prefix}/lib/blt2.4/{NEWS,PROBLEMS,README}

# XXX conflicts with itcl package
{ cd ${RPM_BUILD_ROOT}
  for i in tabset.n watch.n graph.n bitmap.n; do
    rm -f .%{_mandir}/mann/${i}*
  done
}

%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS PROBLEMS README html
%{_bindir}/blt*
%{_libdir}/libBLT*
%{_prefix}/lib/blt2.4
%{_includedir}/*.h
%{_mandir}/man*/*

%changelog
* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.4u.

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- remove man pages in conflict with itcl.

* Sun Jun  4 2000 Jeff Johnson <jbj@redhat.com>
- update to 2.4s.

* Sat Jun  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against tcl-8.3.1
- use FHS macros

* Sat Mar 18 2000 Jeff Johnson <jbj@redhat.com>
- update to 2.4p.
- rebuild against tcl-8.2.3.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- obsolete blt-devel

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- remove watch.n, tabset.n (conflicts with itcl)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4g
- buildrooted

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- stripped binaries
